<?php

namespace App\Generated\V1\Messages\AdminPartner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class UnSelectPartnerMessage extends Message
{
    use ValueHelper;

    protected $partnerId;

    /**
     * 卡片id
     * @return int|null
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
